%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  KnockoffTrio
%global packver   1.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          GWAS with Trio and Duo Data using Knockoff Statistics for FDR Control

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch

%description
Identification of putative causal variants in genome-wide association
studies with trio and duo families. The package calculates the W feature
statistics from KnockoffTrio and p-values from the family-based
association test (FBAT) using trio and/or duo data. Compared to previous
versions, a significant improvement has been made in Version 1.1.0 to
allow the package to be applied not only to trio families but also to duo
families. The package implements the methods in the paper: "Yang, Y.,
Wang, C., Liu, L., Buxbaum, J., He, Z., & Ionita-Laza, I. (2022).
KnockoffTrio: A knockoff framework for the identification of putative
causal variants in genome-wide association studies with trio design. The
American Journal of Human Genetics, 109(10), 1761-1776."

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
